package cn.stylefeng.workflow.instance.core.actions.custom;

import cn.stylefeng.workflow.api.entity.instance.RuntimeNode;
import cn.stylefeng.workflow.api.pojo.InstanceVariable;
import cn.stylefeng.workflow.api.pojo.WorkflowRequestContext;

public class WorkflowContextFactory {

    public static WorkflowRequestContext createWorkflowRequestContext(RuntimeNode runtimeNode, InstanceVariable variableObject) {
        WorkflowRequestContext workflowRequestContext = new WorkflowRequestContext();
        workflowRequestContext.setRuntimeNode(runtimeNode);
        workflowRequestContext.setVariableParams(variableObject);
        return workflowRequestContext;
    }

}
